<?xml version="1.0" encoding="UTF-8"?>
<web-app id="WebApp_ID" version="2.4"
	xmlns="http://java.sun.com/xml/ns/j2ee"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
	<display-name>tmService</display-name>
	<filter>
   		 <filter-name>servletFilter</filter-name>
  		 <filter-class>com.hst.common.filter.ServletFilter</filter-class>
   		 <init-param>
    		<param-name>includeServlets</param-name>
    		<param-value>/servlet/AxisServlet,*.jws,/services/*,server,AdminService</param-value>
   		</init-param>
 	</filter>
 
 	<filter-mapping>
   		<filter-name>servletFilter</filter-name>
   		<url-pattern>/*</url-pattern>
 	</filter-mapping>
	
	<servlet>
		<servlet-name>webconstants-init</servlet-name>
		<servlet-class>
			com.hst.framework.util.HstInitUtil
		</servlet-class>
		<load-on-startup>2</load-on-startup>
	</servlet>
	<servlet> 
	    <servlet-name>AxisServlet</servlet-name> 
	    <display-name>Apache-Axis Servlet</display-name> 
	    <servlet-class> 
	        org.apache.axis.transport.http.AxisServlet 
	    </servlet-class> 
	</servlet> 
	<servlet-mapping> 
	    <servlet-name>AxisServlet</servlet-name> 
	    <url-pattern>/servlet/AxisServlet</url-pattern> 
	</servlet-mapping> 
	<servlet-mapping> 
	    <servlet-name>AxisServlet</servlet-name> 
	    <url-pattern>*.jws</url-pattern> 
	</servlet-mapping> 
	<servlet-mapping> 
	    <servlet-name>AxisServlet</servlet-name> 
	    <url-pattern>/services/*</url-pattern> 
	</servlet-mapping> 
	<listener>
		<listener-class>
			org.springframework.web.context.ContextLoaderListener
		</listener-class>
	</listener>
	
	
  <mime-mapping>
    <extension>wsdl</extension>
     <mime-type>text/xml</mime-type>
  </mime-mapping>
  

  <mime-mapping>
    <extension>xsd</extension>
    <mime-type>text/xml</mime-type>
  </mime-mapping>
  
	<context-param>
		<param-name>contextConfigLocation</param-name>
		<param-value>
			classpath:spring-application-*.xml
		</param-value>
	</context-param>

	<filter>
		<filter-name>struts2</filter-name>
		<filter-class>
			org.apache.struts2.dispatcher.ng.filter.StrutsPrepareAndExecuteFilter
		</filter-class>
	</filter>

	<filter-mapping>
		<filter-name>struts2</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>

	<session-config>
		<session-timeout>60</session-timeout>
	</session-config>
	
	<welcome-file-list>
		<welcome-file>work/index.html</welcome-file>
	</welcome-file-list>
	

</web-app>
